<div class="row" *ngIf="recipe$ | async as recipe">
    <div class="col-12" [formGroup]="selectorGroup">
        <nb-card>
            <nb-card-header>
                {{recipe.item.name}}
            </nb-card-header>
            <nb-card-body>
                <div class="row">
                    <div class="form-in-rows col">
                        <!--                    <nb-select formControlName="realm" *ngIf="realms$ | async as realms" [nbSpinner]="loader" status="primary"-->
                        <!--                               nbSpinnerStatus="primary" placeholder="Realm">-->
                        <!--                        <nb-option *ngFor="let realm of realms" [value]="realm">{{realm}}</nb-option>-->
                        <!--                        <nb-option *ngIf="!realms">Loading...</nb-option>-->
                        <!--                    </nb-select>-->
                        <!--                    <nb-select formControlName="faction" *ngIf="factions$ | async as factions" [nbSpinner]="loader" status="primary"-->
                        <!--                               nbSpinnerStatus="primary" placeholder="Faction">-->
                        <!--                        <nb-option *ngFor="let faction of factions" [value]="faction">{{faction}}</nb-option>-->
                        <!--                        <nb-option *ngIf="!factions">Loading...</nb-option>-->
                        <!--                    </nb-select>-->
                        <app-imports-selector (importSelected)="checkRecipe($event)"></app-imports-selector>
                    </div>
                    <div class="col">
                     <span class="block"
                           *ngIf="recipe.itemResult.priceData">Total cost : {{toWowPriceString(totalCost(recipe))}}</span>
                        <span class="block"
                              *ngIf="recipe.itemResult.priceData"> Diff : {{toWowPriceString(recipe.itemResult.priceData - totalCost(recipe)) }}</span>
                        <span class="block" *ngIf="recipe.itemResult.fixedPrice || recipe.itemResult.priceData">AH Price : {{toWowPriceString(recipe.itemResult.fixedPrice || recipe.itemResult.priceData || 0)}}</span>
                    </div>
                </div>
            </nb-card-body>
        </nb-card>
    </div>
    <div class="col-4" *ngFor="let compo of recipe.components">
        <nb-card>
            <nb-card-header>
                <span class="pointer" routerLink="/content/item/{{compo._id}}">{{compo.name}}</span>
                <span style="float: right;">{{compo.quantity}}</span>
            </nb-card-header>
            <nb-card-body>
                <span *ngIf="compo.fixedPrice">NPC Price: {{toWowPriceString(compo.fixedPrice)}}</span>
                <br/>
                <span *ngIf="compo.priceData">AH Price: {{toWowPriceString(compo.priceData)}}</span>
                <ng-template #noImport>
                    Select an import to see price at AH
                </ng-template>
            </nb-card-body>
        </nb-card>
    </div>
</div>
